Cyberduck Mountain Duck CLI

#7966 closed enhancement (fixed)

Failure parsing URI with at sign in path

Reported by: rcooke Owned by: dkocher
Priority: normal Milestone: 4.4.5
Component: webdav Version: 4.4.4
Severity: blocker Keywords: zimbra
Cc: Architecture:
Platform: Windows 7

Description (last modified by dkocher)

I have a client that has signed up for Zimbra hosting.

Part of it is a Briefcase file storage and sharing system. For external use, it support the webDAV protocol.

But the login URL is:

https://mail.sgbio.com/dav/YourEmail@sgbio.com/Briefcase

When I try to get Cyberduck to connect with this string, it gets very confused. It tries to parse it into server and user parts, then re-format it into the "standard" layout as FTP uses.

But that is not what Zimbra expects. So it crashes.

Change History (5)

comment:1 Changed on May 20, 2014 at 10:11:29 PM by rcooke

This string works perfectly fine on my MAC using Finder's "Konnect to Server" function (cmd-K). I use Cyberduck for all my FTP work on MAC. I was hoping to use Cyberduck for all the hapless Wndoze users my client has. Especially since I hope to get a sizeable donation out of them.

comment:2 Changed on May 21, 2014 at 7:59:32 PM by dkocher

  • Milestone set to 4.4.5
  • Status changed from new to assigned

comment:3 Changed on May 21, 2014 at 9:26:12 PM by rcooke

FYI: Barracuda network drives use a similar URL for webDAV access.

http(s)://(server)/fs/(resource)

They also recommend Cyberduck on the bottom of this page: http://barracudadrive.com/tutorials/WebDAV-Mac-Finder.lsp

comment:4 Changed on May 22, 2014 at 4:10:57 PM by dkocher

  • Description modified (diff)
  • Summary changed from How to log in to Zimbra webDAV server? to Interoperability with Zimbra

comment:5 Changed on Jun 3, 2014 at 12:12:40 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed
  • Summary changed from Interoperability with Zimbra to Failure parsing URI with at sign in path

In r14701.

Note: See TracTickets for help on using tickets.
swiss made software